alias cdiff="colordiff"

[ -x "$(which gpg2)" ] && alias clean-gpg="for a in `gpg2 -k | sed -rn 's/pub +[a-z0-9]+\/(0x[0-9A-Fa-f]+).*/\1/p'`; do gpg2 --quiet --no-tty --edit-key $a clean save; done;"

alias diff="diff -W $(( $(tput cols) - 2))"

alias bz2c='bzip2 --best'
alias gzc='gzip --best --no-name'
alias xzc='xz --best --extreme'
alias extip='curl -LR1fs --compressed https://ipinfo.io/ | jq -Sc'
alias jjar='java -jar'
alias config='/usr/bin/git --git-dir=$HOME/.cfg/ --work-tree=$HOME'
alias pygmentize='pygmentize -O style=solarizeddark'
alias ra='ranger'

alias urldecode='python3 -c "import sys, urllib.parse as ul; [sys.stdout.write(ul.unquote_plus(l)) for l in sys.stdin]"'
alias urlencode='python3 -c "import sys, urllib.parse as ul; [sys.stdout.write(ul.quote_plus(l)) for l in sys.stdin]"'

function mkcdir () {
    mkdir -p -- "$1" &&
    cd -P -- "$1"
}

function chrooted() {
    ROOT_MP="$(awk '$5=="/" {print $1}' </proc/1/mountinfo)"
    SHELL_MP="$(awk '$5=="/" {print $1}' </proc/$$/mountinfo)"
    if [ "$ROOT_MP" -eq "$SHELL_MP" ];
    then
        echo "We are not chrooted."
    else
        echo "We are chrooted."
    fi
    return $(test "$ROOT_MP" -eq "$SHELL_MP")
}

if [ -x "$(which lsb_release)" ];
then
    current_dist=`lsb_release -c -s`
    all_dkms_packages="`apt-cache rdepends --installed dkms | sed -rn 's/^ +([^ ]+)$/\1/p' | sort -iu | tr '\n' ' '`"
    if [ $use_sudo -eq 1 ];
    then
        alias aar='sudo apt-get --purge autoremove'
        alias adbu='sudo $apt_pref -t ${current_dist}-backports $apt_upgr'
        alias drd='[ -n "$all_dkms_packages" ] && sudo dpkg-reconfigure ${all_dkms_packages%% }'
    else
        alias aar='su -lc "apt-get --purge autoremove"'
        alias adbu='su -lc "$apt_pref -t ${current_dist}-backports $apt_upgr" root'
        alias drd='[ -n "$all_dkms_packages" ] && su -lc "dpkg-reconfigure ${all_dkms_packages%% }" root'
    fi
fi
